Subject: russell's net-queue question

From: Marek Behún <[email-masked]>
Date: Tue, 20 Oct 2020 17:15:39 +0200

Russell,

I think the following commits in your net-queue should be still made better:

7f79709b7a15 ("net: phy: pass supported PHY interface types to phylib")
eba49a289d09 ("net: phy: marvell10g: select host interface configuration")

http://git.arm.linux.org.uk/cgit/linux-arm.git/commit/?h=net-queue&id=eba49a289d0959eab3dfbc0320334eb5a855ca68
http://git.arm.linux.org.uk/cgit/linux-arm.git/commit/?h=net-queue&id=eba49a289d0959eab3dfbc0320334eb5a855ca68

The first one adds filling of the phydev->host_interfaces bitmap into
the phylink_sfp_connect_phy function. It should also fill this bitmap
in functions phylink_connect_phy and phylink_of_phy_connect (direct
copy of pl->config->supported_interfaces).
The reason is that phy devices may want to know what interfaces are
supported by host even if no SFP is used (Marvell 88X3310 is an exmaple
of this).

The second patch (adding mactype selection to marvell10g) can get rid
of the rate matching code, and also
should update the mv3310_update_interface code accordignly.

Should I sent you these patches updated or should I create new patches
on top of yours?

Marek